Page MenuHomePhabricator

Remove `require` from PHP tests
Closed, ResolvedPublic12 Estimated Story Points

Description

require should not be needed in the unittests. It may be as easy to just remove those lines and check that it still works.

Related Objects

StatusSubtypeAssignedTask
Resolvedkalle
Resolvedkalle

Event Timeline

Restricted Application added a project: Wikispeech-Jobrunner. · View Herald TranscriptJan 22 2020, 11:23 AM

I want to work on this issue

Lokal_Profil set the point value for this task to 12.Feb 6 2020, 11:03 AM
Lokal_Profil added a project: User-kalle.
Lokal_Profil added subscribers: kalle, Lokal_Profil.

We'll use this as a first task for @kalle to get the whole Vagrant/gerrit/code review etc. setup going. As such the times estimate is fairly unrelated to the actual coding needed.

Change 572838 had a related patch set uploaded (by Karl Wettin (WMSE); owner: Karl Wettin (WMSE)):
[mediawiki/extensions/Wikispeech@master] Removed "require once"-statements in test cases

https://gerrit.wikimedia.org/r/572838

Change 572838 merged by jenkins-bot:
[mediawiki/extensions/Wikispeech@master] Remove "require once"-statements in test cases

https://gerrit.wikimedia.org/r/572838

kalle moved this task from 🤠 This week to 🤯 Done on the User-kalle board.Feb 20 2020, 7:53 AM
Lokal_Profil closed this task as Resolved.Feb 21 2020, 10:54 AM
Lokal_Profil awarded a token.